commit 76f48ce46342edf5e90120b129bd2862c7c037b5
parent 76cde6753ce91015b95a0619ec55adc6c98233b8
Author: parazyd <parazyd@dyne.org>
Date: Tue, 30 Jan 2018 11:15:59 +0100
Add initial droid4 support.
Diffstat:
A | boards/droid4.sh | | | 99 | +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ |
M | sdk | | | 1 | + |
2 files changed, 100 insertions(+), 0 deletions(-)
diff --git a/boards/droid4.sh b/boards/droid4.sh
@@ -0,0 +1,99 @@
+#!/usr/bin/env zsh
+# Copyright (c) 2016-2018 Dyne.org Foundation
+# arm-sdk is written and maintained by Ivan J. <parazyd@dyne.org>
+#
+# This file is part of arm-sdk
+#
+# This source code is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This software is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this source code. If not, see <http://www.gnu.org/licenses/>.
+
+## kernel build script for Motorola DROID4
+
+## settings & config
+vars+=(device_name arch size parted_type parted_boot parted_root bootfs inittab)
+vars+=(gitkernel gitbranch)
+arrs+=(custmodules)
+
+device_name="droid4"
+arch="armhf"
+size=1337
+#inittab=""
+
+parted_type="dos"
+parted_boot="fat32 8192s 270335s"
+parted_root="ext4 270336s 100%"
+bootfs="vfat"
+
+extra_packages+=()
+custmodules=()
+
+gitkernel="https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux-stable.git"
+gitbranch="linux-4.14.y"
+
+
+prebuild() {
+ fn prebuild
+ req=(device_name strapdir)
+ ckreq || return 1
+
+ notice "executing $device_name prebuild"
+
+ mkdir -p $R/tmp/kernels/$device_name
+}
+
+postbuild() {
+ fn postbuild
+
+ notice "executing $device_name postbuild"
+
+ copy-root-overlay
+}
+
+build_kernel_${arch}() {
+ fn build_kernel_${arch}
+ req=(R arch device_name gitkernel gitbranch MAKEOPTS)
+ req+=(strapdir)
+ req+=(loopdevice)
+ ckreq || return 1
+
+ notice "building $arch kernel"
+
+ prebuild || zerr
+
+ get-kernel-sources
+ pushd $R/tmp/kernels/$device_name/${device_name}-linux
+ copy-kernel-config
+
+ # compile kernel and modules
+ make \
+ $MAKEOPTS \
+ ARCH=arm \
+ CROSS_COMPILE=$compiler \
+ zImage modules omap4-droid4-xt894.dtb || zerr
+ cat arch/arm/boot/zImage arch/arm/boot/dts/omap4-droid4-xt894.dtb > zImage || zerr
+ sudo cp -v zImage $strapdir/boot/
+
+ # install kernel modules
+ sudo -E PATH="$PATH" \
+ make \
+ $MAKEOPTS \
+ ARCH=arm \
+ CROSS_COMPILE=$compiler \
+ INSTALL_MOD_PATH=$strapdir \
+ INSTALL_MOD_STRIP=1 \
+ modules_install || zerr
+
+ popd
+
+ postbuild || zerr
+}
diff --git a/sdk b/sdk
@@ -69,6 +69,7 @@ load() {
"chromeacer" "$R/boards/chromebook-acer.sh"
"chromeveyron" "$R/boards/chromebook-veyron.sh"
"n900" "$R/boards/nokia-n900.sh"
+ "droid4" "$R/boards/droid4.sh"
"odroidxu" "$R/boards/odroid-xu.sh"
"odroidxu4" "$R/boards/odroid-xu4.sh"
"ouya" "$R/boards/ouya.sh"